;;; -*- Mode: LISP; Syntax: COMMON-LISP; Package: CL-USER; Base: 10 -*-
(in-package :cl-user)

;;;
;;; Some functions (like <filter/-if>) are optimized with compiler macros but a regular 
;;; implementation will still have to be provided because no compiler is "ever required to 
;;; actually invoke compiler macro functions, or to make use of the resulting expansion if 
;;; it does invoke a compiler macro function." (CLHS)
;;;
;;; Since compiler macros may remove the ability to trace a function, a mechanism for removing 
;;; (and to put them back on as well) compiler macros definitions is kinda of defined here.

(asdf:defsystem :utilities-testing
  :serial t
  :depends-on (:cl-utilities :utilities)
  :components ((:file "package")
	       (:file "benchmarker"  :depends-on ("package"))))

